import json

from django.conf import settings


def send_moderator_webhook(contrib, request=None):
    """ Sends a notification to a webhook
    """
    if settings.WEBHOOK:
        import requests
        requests.post(
            settings.WEBHOOK_URL,
            data=json.dumps({
                'name': contrib.name,
                'permalink': contrib.get_absolute_url(request) if request else None,
                'key': settings.WEBHOOK_KEY,
            }))
